Click or drag to resize

SweepTwoRailPerformSweepRefit Method (Curve, Curve, Curve, Double)

Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Since: 5.0
Syntax
public Brep[] PerformSweepRefit(
	Curve rail1,
	Curve rail2,
	Curve crossSection,
	double refitTolerance
)

Parameters

rail1
Type: Rhino.GeometryCurve
Rail to sweep shapes along
rail2
Type: Rhino.GeometryCurve
Rail to sweep shapes along
crossSection
Type: Rhino.GeometryCurve
Shape curve
refitTolerance
Type: SystemDouble
Refit tolerance

Return Value

Type: Brep
Array of Brep sweep results
See Also